---
title: "Delete Financial Line Item"
url: "https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2/operations/deleteLineItem"
---

> Full API specification: https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2.md

# Delete Financial Line Item

`DELETE` `/partner/api/platformconnect/v1/financial-settlement-schedules/{financialSettlementScheduleId}/line-items/{lineItemId}`

Operation ID: `deleteLineItem`

This API is used to delete the existing source and destination line item

## Path parameters

- `financialSettlementScheduleId` (string, uuid, required) - Financial Settlement Schedule id for which lineItem need to be deleted
- `lineItemId` (string, uuid, required) - Line Item Id for which delete need to happen

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Responses

- `204` - NO_CONTENT
- `400` - BAD_REQUEST
- `401` - UNAUTHORISED
- `500` - INTERNAL_SERVER_ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Financial
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/financial-settlement-schedules/{financialSettlementScheduleId}/line-items/{lineItemId}:
    delete:
      tags:
        - lineItem
      summary: Delete Financial Line Item
      description: This API is used to delete the existing source and destination line item
      operationId: deleteLineItem
      security:
        - oauth2:
            - delete:fss_line_items
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: financialSettlementScheduleId
          in: path
          required: true
          description: Financial Settlement Schedule id for which lineItem need to be
            deleted
          schema:
            type: string
            format: uuid
        - name: lineItemId
          in: path
          required: true
          description: Line Item Id for which delete need to happen
          schema:
            type: string
            format: uuid
      responses:
        "204":
          description: NO_CONTENT
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
        "400":
          description: BAD_REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - field: lineItemId
                    message: lineItemId is not in UUID format
        "401":
          description: UNAUTHORISED
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            WWW-Authenticate:
              schema:
                type: string
              description: Contains token level error description (Ex - Token Expired, Invalid
                Audience)
        "500":
          description: INTERNAL_SERVER_ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - delete:fss_line_items
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:accept:payee_account_details: Permission to accept payee account details (CoP override)
            x-api:authorise:funds: Permission to authorise funds for a workspace
            x-api:approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            x-api:unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
            add:fss_line_items: Permission to add financial settlement schedule line items
            delete:fss_line_items: Permission to delete financial settlement schedule line items
            view:financial_settlement_schedules: Permission to view financial settlement schedules
            edit:financial_settlement_schedules: Permission to edit financial settlement schedules
            edit:fss_line_items: Permission to edit financial settlement schedule line items
            authorise:funds: Permission to authorise funds for a workspace
            approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
```
